From 420ceb49b53a8fa9d8ba8443e42e50cd7bd7cea9 Mon Sep 17 00:00:00 2001 From: Philip Wittamore Date: Sun, 12 Jul 2026 11:08:50 +0200 Subject: update --- articles/2025/dwm-windowmanager-2.html | 64 ++++++++++++++++++++++++++++++++++ 1 file changed, 64 insertions(+) create mode 100755 articles/2025/dwm-windowmanager-2.html (limited to 'articles/2025/dwm-windowmanager-2.html') diff --git a/articles/2025/dwm-windowmanager-2.html b/articles/2025/dwm-windowmanager-2.html new file mode 100755 index 0000000..27e5a63 --- /dev/null +++ b/articles/2025/dwm-windowmanager-2.html @@ -0,0 +1,64 @@ + + + + + + + DWM window manager [2] + + +
+

Bloggings

+ Back + +
+ +
+
+

DWM window manager [2]

+

2025-04-23

+

the simpler the better

+

Mucking around with DWM proves the old adge that less is more. +So far I haven't needed to add any of the myriad of patches available for DWM, it works as it is for me.

+

I've tried dwm-blocks but right now I'm using dwm-bar as I like the battery icon to update along with the charge.

+

I have edited config.h though and changed the keybindings to work better with a French keyboard and launch a few apps.

+dwm running btop +

Editing config.h is an ongoing job, but you can see a snapshot here

+

ST is the default terminal emulator for DWM but I rather like Ghostty even if it consumes a bit more +memory. Adding window-decoration = none to .config/ghostty/config makes it look better in DWM.

+

I also added gtk-single-instance = true to make ghostty's startup faster.

+

Being able to swap between display layouts on the fly is cool. I mostly use monocle layout, +but flipping to tiling or floating comes in handy.

+

I removed the lightdm display manager and installed Slim. Here is my .xinitrc

+
+#!/bin/sh
+
+# Source global X session scripts.
+if [ -d /etc/X11/xinit/xinitrc.d ]; then
+  for f in /etc/X11/xinit/xinitrc.d/*; do
+    [ -x "$f" ] && . "$f"
+  done
+  unset f
+fi
+
+bluetooth off
+clipmenud &
+xscreensaver --no-splash &
+ghostty &
+feh --bg-scale --randomize ~/Pictures/wallpaper/* &
+~/.local/src/dwm-bar/dwm_bar.sh &
+# if dwm exits 0, restart -- this allows hot reloading of config.h
+while type dwm >/dev/null ; do dwm && continue || break ; done
+
+

And here is my DWM configuration file (it probably isn't the latest version)
+config.h

+
+
+ + + -- cgit v1.3.1